"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _clsx3 = _interopRequireDefault(require("clsx"));

var _styles = require("@material-ui/core/styles");

var _MenuItem = _interopRequireDefault(require("@material-ui/core/MenuItem"));

var _Select = _interopRequireDefault(require("@material-ui/core/Select"));

var _theme = _interopRequireDefault(require("./theme.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var SelectComp = function SelectComp(props) {
  var hasStyles = props.style ? true : false;
  var customStyle = props.style ? props.style : '';
  var invalidStyle = {
    border: '1px solid red',
    backgroundColor: '#fda49a'
  };
  var defaultStyle = {
    border: '1px solid #ccc',
    backgroundColor: 'white',
    marginTop: '2px',
    marginBottom: '2px',
    width: '100px',
    fontSize: '11px',
    padding: '3px 0px',
    height: '27px',
    position: 'relative',
    "& .MuiSvgIcon-root": {
      color: 'rgb(255, 255, 255)',
      backgroundColor: 'rgb(70, 160, 184)'
    }
  };
  var useStyles = (0, _styles.makeStyles)({
    style: defaultStyle,
    custom: customStyle,
    invalid: invalidStyle
  });
  var customClasses = useStyles();
  return /*#__PURE__*/_react["default"].createElement(_Select["default"], {
    className: (0, _clsx3["default"])(customClasses.style, _theme["default"].DropDown, _defineProperty({}, customClasses.custom, hasStyles), _defineProperty({}, customClasses.invalid, props.invalid && props.shouldValidate && props.touched)),
    name: props.name,
    onChange: props.onChange,
    disabled: props.disabled,
    autoWidth: true,
    disableUnderline: true
  }, props.options.map(function (e, key) {
    return /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
      key: key,
      value: e.value
    }, e.listname);
  }));
};

var _default = SelectComp;
exports["default"] = _default;