"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _TextField = _interopRequireDefault(require("@material-ui/core/TextField"));

var _styles = require("@material-ui/styles");

var _core = require("@material-ui/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var CalenderControl = function CalenderControl(props) {
  var defaultStyle = {
    width: "137px",
    "& .MuiInputBase-root": {
      height: "24px"
    },
    margin: "0px 16px 0px 2px",
    backgroundColor: "rgb(255, 255, 255)",
    color: "rgb(70, 160, 184)"
  };
  var useStyles = (0, _core.makeStyles)({
    field: defaultStyle,
    labelMargin: {
      margin: "0px 16px 0px 2px"
    }
  });
  var classes = useStyles();
  return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement("label", {
    className: classes.labelMargin
  }, props.label), /*#__PURE__*/_react["default"].createElement(_TextField["default"], {
    className: classes.field,
    inputProps: {
      style: {
        fontSize: 11
      }
    },
    name: props.name,
    type: "date",
    variant: "outlined",
    onChange: props.onChange,
    value: props.value
  }));
};

var _default = CalenderControl;
exports["default"] = _default;